#!/usr/bin/env bash
set -euo pipefail

FASTCOLL=./bin/md5_fastcoll
OUTDIR=./out
TEMPLATEDIR=./templates

mkdir -p $OUTDIR
head -n 4 $TEMPLATEDIR/ex3.py > $OUTDIR/.ex3.prefix.bin

$FASTCOLL -p $OUTDIR/.ex3.prefix.bin -o $OUTDIR/.ex3.data1.bin $OUTDIR/.ex3.data2.bin

python3 ./replace.py "{BIN}" $TEMPLATEDIR/ex3.py $OUTDIR/.ex3.data1.bin $OUTDIR/ex3-a.py 0
python3 ./replace.py "{BIN}" $TEMPLATEDIR/ex3.py $OUTDIR/.ex3.data2.bin $OUTDIR/ex3-b.py 0

chmod +x $OUTDIR/ex3-a.py
chmod +x $OUTDIR/ex3-b.py

md5sum $OUTDIR/ex3-a.py $OUTDIR/ex3-b.py

echo "$OUTDIR/ex3-a.py"
$OUTDIR/ex3-a.py

echo "$OUTDIR/ex3-b.py"
$OUTDIR/ex3-b.py
